执行下面的函数到▲句出现错误,错误提示为eInvalidInput,是什么问题
执行下面的函数到▲句出现错误,错误提示为:“Autodesk.AutoCAD.Runtime.Exception”类型的异常在 AcdbMgd.dll 中发生,但未在用户代码中进行处理
其他信息: eInvalidInput
public void yyyy()
{
Point3d A = new Point3d(578816.545, 3871920.823, 68.146);
Point3d B = new Point3d(578817.923, 3871918.569, 67.346);
Point3d C = new Point3d(578826.71, 3871924.276, 70.285);
Point3dCollection 三点 = new Point3dCollection();
三点.Add(A); 三点.Add(B); 三点.Add(C);
Polyline3d 实体 = new Polyline3d(Poly3dType.SimplePoly, 三点, true);
DBObjectCollection ents = new DBObjectCollection();
ents.Add(实体);
▲DBObjectCollection 面域 = Autodesk.AutoCAD.DatabaseServices.Region.CreateFromCurves(ents);//执行到此句出现错误:eInvalidInput
Autodesk.AutoCAD.DatabaseServices.Region 面域1 = (Autodesk.AutoCAD.DatabaseServices.Region)面域;
面域1.ColorIndex = 1;
面域1.AddToModelSpace();
}
Region
1,面域需要封闭曲线或连接封闭的曲线
2,面域需要平面曲线
页:
[1]